Subject: RE: Alternatives for Long Term Archiving - conclusion ? - further discussion

From: Tobias Gondrom <[email-masked]>
Date: Wed, 21 Apr 2004 19:15:41 +0200

Larry,

Additionally to calling for rough consensus about complete drafts I wanted
to make the work easier by calling for rough consensus about specific
important ideas. And to be able to continue from such solid milestones. The
reason for calling for rough consensus was to make the work for the editors
simpler and to enable us to go forward after disussing a quite isolated
issue and then deciding about it if possible. 

_But as I took from the mailing list there is still need for discussion and
clarification._

Further comments in line below:

> I am confused by your call for 'rough consensus'. Personally,
> I think it is best practice to focus 'rough consensus' on
> the actual wording in actual internet drafts, rather than
> on abstract principles.
> 
> > The objective of the LTANS working group is to define requirements,
> > data structures and protocols for the secure usage of the necessary 
> > archive and notary services. 
> 
> > First, the requirements for the long-term archive will be collected.
> 
> I have proposed some changes, and raised some questions, 
> about the requirements document. It would be good to follow 
> the charter and see if we can reach consensus on a 
> requirements document. I would prefer one that did not 
> exclude the possibility of mechanisms other than 
> chain-of-evidence for providing for long term non-repudiation 
> services.

At this moment Carl, Uli and Ralf are about changing the requirements doc to
make it more abstract from technical solutions which should be along with
your proposal.

> > Based on that information we will develop a
> > protocol to access archive services supplying long-term 
> non-repudiation 
> > for signed documents and define common data structures and formats. 
> 
> I would prefer that the protocol not require timestamp 
> chains, but allow them as an option for providing long-term 
> non-repudiation evidence. Multiple independent party 
> assertions of independent records of receipt and validation, 
> of either full copies (or secret shares, if the archives can 
> be trusted to assert timestamps but not to respect
> privacy) might be an alternative mechanism.
> 
> Personally, I think that the "chain of evidence" mechanisms 
> proposed for long-term non-repudiation are themselves 
> "academic research projects", in that they are untested, and 
> seem to rely on some fairly dubious assertions, e.g., that 
> the expiration of the belief in the non-invertability of any 
> particular one-way hash function can be predicted.

Here I have to object. 
The "chain of evidence" has been developed between a cooperation of
academics and practical people. ;-) 
I am a scientist but I'm in business long enough so that it corrupetd me to
the point where I clearly prefer use cases and the business where you solve
the problems of your customers and get money for the working solution
instead of the scientific beautiful solution. 

The concept has been implemented, has been evaluated by more than 20
scientists (mostly only from Germany up to now) and has already been
installed at several companies. Further will follow during the next months. 

So it is by far no "academic research project". ;-)

But back to the arguments:
Concerning the expiration of the belief in the non-invertability:
You are right there is some minor risk that there will be a small gap
between the time when such a thing is recognized and the invention of a new
one or even just the time an archiv provider will need to activate a renewal
of the hash-algorithms.
I still think that it is very probable that it will be noticable in
scientific papers when a hash-function looses its major attributes - and
most probably the information about such a thing will be out much faster
than any "exploits" can be done. 

Tobias